XmDropDownGetValue(3)

NAME
XmDropDownGetValue — retrieve the value from the DropDown

SYNOPSIS

#include <Xm/DropDown.h>
XmString XmDropDownGetValue(
Widget w);

DESCRIPTION

The w argument specifies the XmDropDown widget ID.

The XmDropDownGetValue function returns the string contained within the text widget of the DropDown widget. This string has been allocated with XtMalloc() and most be freed by the application with XtFree(). Always leave the specified margin between its edge and the nearest child. A new String to fillOption resource converter has been registered to convert the following strings to fill options: "none", "major", "minor", "all." This resource can therefore be set in an application defaults file.

RETURN VALUE

The XmDropDownGetValue function returns the string contained within the text widget of the DropDown widget.

SEE ALSO

XmDropDown(3).